# TdApi.SearchStringsByPrefix (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SearchStringsByPrefix

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchStringsByPrefix

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundPositions>
it.tdlight.jni.TdApi.SearchStringsByPrefix

Enclosing class:
  TdApi

public static final class TdApi.SearchStringsByPrefix extends TdApi.Function<TdApi.FoundPositions>
Searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

Returns `FoundPositions`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of objects to return.
`String`
`query`
Query to search for.
`boolean`
`returnNoneForEmptyQuery`
Pass true to receive no results for an empty query.
`String[]`
`strings`
The strings to search in for the query.

## Constructor Summary

Constructors
Constructor
Description
`SearchStringsByPrefix()`
Searches specified query by word prefixes in the provided strings.
`SearchStringsByPrefix(DataInput input)`
Searches specified query by word prefixes in the provided strings.
`SearchStringsByPrefix(String[] strings, String query, int limit, boolean returnNoneForEmptyQuery)`
Searches specified query by word prefixes in the provided strings.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### strings

public String[] strings
The strings to search in for the query.

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of objects to return.

### returnNoneForEmptyQuery

public boolean returnNoneForEmptyQuery
Pass true to receive no results for an empty query.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchStringsByPrefix

public SearchStringsByPrefix()
Searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

Returns `FoundPositions`

### SearchStringsByPrefix

public SearchStringsByPrefix(String[] strings, String query, int limit, boolean returnNoneForEmptyQuery)
Searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

Returns `FoundPositions`

Parameters:
  `strings` - The strings to search in for the query.
  `query` - Query to search for.
  `limit` - The maximum number of objects to return.
  `returnNoneForEmptyQuery` - Pass true to receive no results for an empty query.

  Returns `FoundPositions`

### SearchStringsByPrefix

public SearchStringsByPrefix(DataInput input) throws IOException
Searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

Returns `FoundPositions`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`